Skip to main content
GET
/
api
/
v1
/
llm
/
evals
/
suites
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.evals.list_suites(limit=20)

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "eval_suite_aa87e2b1112a455b8deabed784372198",
      "object": "eval.suite",
      "name": "Multilingual QA smoke suite",
      "description": "Declarative eval tasks backed by uploaded files or Hugging Face datasets and Python graders.",
      "active_version": 1,
      "latest_version": 1,
      "metadata": {
        "owner": "eval-team"
      },
      "created_at": 1704067200,
      "updated_at": 1704067200
    }
  ],
  "first_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
  "last_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

after
string
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200 - application/json

OK

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string